# class KAppTreeListItem | More...
Internal Use Only
Definition | `#include <kopenwith.h>`
Inherits | QListViewItem (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAppTreeListItem ( KListView* parent, const QString & name, const QPixmap& pixmap, bool parse, bool dir, QString p, QString c )
- KAppTreeListItem ( QListViewItem* parent, const QString & name, const QPixmap& pixmap, bool parse, bool dir, QString p, QString c )
- bool isDirectory ()

#### Protected Methods

- QString key (int column, bool ascending) const
- void init (const QPixmap& pixmap, bool parse, bool dir, QString _path, QString exec)
- virtual void activate ()
- virtual void setOpen ( bool o )

#### Protected Members

- friend class KApplicationTree

## Detailed Description

QString key (int column, bool ascending) | ### key

[protected const]

Reimplemented from QListViewItem.

void init (const QPixmap& pixmap, bool parse, bool dir, QString _path, QString exec) | ### init

[protected]

KAppTreeListItem ( KListView* parent, const QString & name, const QPixmap& pixmap, bool parse, bool dir, QString p, QString c ) | ### KAppTreeListItem

KAppTreeListItem ( QListViewItem* parent, const QString & name, const QPixmap& pixmap, bool parse, bool dir, QString p, QString c ) | ### KAppTreeListItem

bool isDirectory () | ### isDirectory

void activate () | ### activate

[protected virtual]

Reimplemented from QListViewItem.

void setOpen ( bool o ) | ### setOpen

[protected virtual]

Reimplemented from QListViewItem.

friend class KApplicationTree | ### KApplicationTree

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.